# Practice session 1

EPITA 2021 MLRF practice session 01 v20210513a by Joseph CHAZALON

This work is licensed under a [Creative Commons Attribution 4.0 International License](http://creativecommons.org/licenses/by/4.0/).

This session uses the following Jupyter notebooks:
- `practice_01-00_intro.ipynb`
- `practice_01-01_jupyter.ipynb`
- `practice_01-02_numpy.ipynb`
- `practice_01-03_image-manipulations.ipynb`
- `practice_01-04_twinit-part1.ipynb`

To start working, launch a terminal and navigate to the content of this archive.
Then, run [Jupyter](https://jupyter.org/):
```shell
jupyter notebook
```

Of course, you need to make sure all the required modules are installed.
You can install then all, **for your current user only,** using the following command:
```shell
pip install --user -r practice_01_requirements.txt
```

Then, open the first notebook: `practice_01-00_intro.ipynb`.


## Versions used
For the record, the notebooks of this session were tested with the following versions of the required libraries:
```
numpy==1.16.2
matplotlib==3.0.3
jupyter==1.0.0
scikit-image==0.14.2
scikit-learn==0.20.2
scipy==1.2.1
opencv-contrib-python-headless==4.0.0.21
```


## Copyright note
*Twin it!* material is copyrighted by the original author, Thomas Vuarchex.
